<template>
  <div class="hello">
    <h1> Component2.vue</h1>
    <p>
      {{ state.user }} came from App.vue and now Component2 can edit and read it
    </p>
    <input type="text" v-model="state.user">
  </div>
</template>

<script>
import { useState } from '../store';

export default {
  name: 'Component2',
  setup() {
      return { state: useState() };
    }
}
</script>

